Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028092
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2014-11-05 16:082014-12-30 23:28
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision0310a892cf74
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0028092: "create invoices from orders" form should consider order lines partially delivered, when "customer schedule after delivery"

Description"create invoices from orders" form should consider order lines partially delivered, when "customer schedule after delivery"
Steps To Reproduce1. Register Sales Order for any BP and set invoice terms= "customer schedule after delivery"
2. Add order line with qty=10 and process
3. Register Goods Shipment for same BP and Org
4. Add line running "create lines from" previous order and set movementqty=3. Process shipment
5. Access "Create invoice from orders" window and realize that your order is not shown to be invoiced

Note: however if you run "generate invoices" process invoice will be created for delivered qty
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0071845)
jonalegriaesarte (reporter)
2014-11-20 10:09

The patch attached is not working completely fine, becuase after applying it, it raises another issue. Once the patch is applied, the data is shown, but it seems that the data shown is not correct.
(0072699)
hgbot (developer)
2014-12-18 14:47

Repository: erp/devel/pi
Changeset: 0310a892cf74ab9a64e20c1fd18bf803c775043b
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Nov 20 17:27:26 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0310a892cf74ab9a64e20c1fd18bf803c775043b [^]

Fixes Issue 28092:"create invoices from orders" form should consider order
lines partially delivered, when "customer schedule after delivery"

In case of invoice rule as Customer Schedule After Delivery in Order,
Create Invoice From Orders considers Orders Partially Delivered
and not yet invoiced.

---
M src/org/openbravo/erpCommon/ad_forms/GenerateInvoicesmanual_data.xsql
---
(0072715)
pramakrishnan (developer)
2014-12-19 05:39

Code Review + Testing - OK.
(0073244)
hudsonbot (developer)
2014-12-30 23:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-11-05 16:08 maite New Issue
2014-11-05 16:08 maite Assigned To => dmiguelez
2014-11-05 16:08 maite Modules => Core
2014-11-05 16:08 maite Triggers an Emergency Pack => No
2014-11-05 16:10 maite Issue Monitored: networkb
2014-11-14 12:33 maite Assigned To dmiguelez => AtulOpenbravo
2014-11-20 10:09 jonalegriaesarte Note Added: 0071845
2014-11-20 10:15 AtulOpenbravo Status new => scheduled
2014-11-20 10:15 AtulOpenbravo fix_in_branch => pi
2014-12-18 14:43 AtulOpenbravo Review Assigned To => pramakrishnan
2014-12-18 14:43 AtulOpenbravo fix_in_branch pi =>
2014-12-18 14:47 hgbot Checkin
2014-12-18 14:47 hgbot Note Added: 0072699
2014-12-18 14:47 hgbot Status scheduled => resolved
2014-12-18 14:47 hgbot Resolution open => fixed
2014-12-18 14:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0310a892cf74ab9a64e20c1fd18bf803c775043b [^]
2014-12-19 05:39 pramakrishnan Note Added: 0072715
2014-12-19 05:39 pramakrishnan Status resolved => closed
2014-12-30 23:28 hudsonbot Checkin
2014-12-30 23:28 hudsonbot Note Added: 0073244


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker